Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.querydefn
Class OdaDataSetDesign

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.BaseDataSetDesign
          org.eclipse.birt.data.engine.api.querydefn.OdaDataSetDesign

All Implemented Interfaces:
  IBaseDataSetDesign, IOdaDataSetDesign

    public class OdaDataSetDesign

extends BaseDataSetDesign
implements IOdaDataSetDesign

Default implementation of the `IOdaDataSetDesign` interface.

Constructor Summary
`OdaDataSetDesign(java.lang.String name)` Constructs an instance with the given name
`OdaDataSetDesign(java.lang.String name, java.lang.String dataSourceName)` Constructs an instance with the given name and data source name

Method Summary
`void` | `addPrivateProperty(java.lang.String name, java.lang.String value)` Adds a private connection property, in the form of a (Name, value) string pair.
`protected void` | `addProperty(java.util.Map properties, java.lang.String name, java.lang.String value)` Add given value to the set of values for named property in the given properties map.
`void` | `addPublicProperty(java.lang.String name, java.lang.String value)` Adds a public connection property, in the form of a (Name, value) string pair.
`java.lang.String` | `getExtensionID()` Gets the unique id that identifies the type of the data set, assigned by the extension providing the implementation of this data set.
`java.lang.String` | `getPrimaryResultSetName()` Gets the name of the primary result set retrieved by the query.
`int` | `getPrimaryResultSetNumber()` Get the number of the primary result set retrieved by the query.
`java.util.Map` | `getPrivateProperties()` Gets the private data set property, in the form of a ( name[String], value[String] ) map
`java.util.Map` | `getPublicProperties()` Gets the public data set property, in the form of a ( name[String], value[String] ) map
`java.lang.String` | `getQueryText()` Gets the static query text of the data set.
`void` | `setExtensionID(java.lang.String extensionID)` Specifies the extension ID for this type of data set
`void` | `setPrimaryResultSetName(java.lang.String resultSetName)` Specifies the name of the primary result set.
`void` | `setPrimaryResultSetNumber(int number)` Set the primary result set number.
`void` | `setQueryText(java.lang.String queryText)` Specifies the static query text.

Methods inherited from class org.eclipse.birt.data.engine.api.querydefn.BaseDataSetDesign
`addComputedColumn, addFilter, addInputParamBinding, addParameter, addResultSetHint, getAfterCloseScript, getAfterOpenScript, getBeforeCloseScript, getBeforeOpenScript, getCacheRowCount, getComputedColumns, getDataSourceName, getEventHandler, getFilters, getInputParamBindings, getName, getOnFetchScript, getParameters, getResultSetHints, getRowFetchLimit, needDistinctValue, setAfterCloseScript, setAfterOpenScript, setBeforeCloseScript, setBeforeOpenScript, setCacheRowCount, setDataSource, setDistinctValue, setEventHandler, setOnFetchScript, setRowFetchLimit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseDataSetDesign
`getAfterCloseScript, getAfterOpenScript, getBeforeCloseScript, getBeforeOpenScript, getCacheRowCount, getComputedColumns, getDataSourceName, getEventHandler, getFilters, getInputParamBindings, getName, getOnFetchScript, getParameters, getResultSetHints, getRowFetchLimit, needDistinctValue, setRowFetchLimit`

Constructor Detail

### OdaDataSetDesign

    public OdaDataSetDesign(java.lang.String name)

  Constructs an instance with the given name

### OdaDataSetDesign

    public OdaDataSetDesign(java.lang.String name,
                            java.lang.String dataSourceName)

  Constructs an instance with the given name and data source name

Method Detail

### getQueryText

    public java.lang.String getQueryText()

  Description copied from interface: `IOdaDataSetDesign`
  Gets the static query text of the data set. A data set might not have any query defined at all. If a query text is defined, it could be either static or dynamic.

  Specified by:
    `getQueryText` in interface `IOdaDataSetDesign`
  Returns:
    The static query text for execution. Null if no static query is defined.
  See Also:
    `IOdaDataSetDesign.getQueryText()`

### setQueryText

    public void setQueryText(java.lang.String queryText)

  Specifies the static query text.

  Parameters:
    `queryText` - Static query text.

### getExtensionID

    public java.lang.String getExtensionID()

  Description copied from interface: `IOdaDataSetDesign`
  Gets the unique id that identifies the type of the data set, assigned by the extension providing the implementation of this data set. The id is required if the ODA driver supports more than one types of data set.

  Specified by:
    `getExtensionID` in interface `IOdaDataSetDesign`
  Returns:
    The id fo the type of data set type as referenced by an ODA driver. Null if none is defined.
  See Also:
    `IOdaDataSetDesign.getExtensionID()`

### setExtensionID

    public void setExtensionID(java.lang.String extensionID)

  Specifies the extension ID for this type of data set

  Parameters:
    `extensionID` - The extension id for this data set type as assigned by the ODA driver

### getPrimaryResultSetName

    public java.lang.String getPrimaryResultSetName()

  Description copied from interface: `IOdaDataSetDesign`
  Gets the name of the primary result set retrieved by the query. This is required for a query that returns multiple result sets, each of which can be identified by name.

  Specified by:
    `getPrimaryResultSetName` in interface `IOdaDataSetDesign`
  Returns:
    The name of the primary result set. Null if none is defined.
  See Also:
    `IOdaDataSetDesign.getPrimaryResultSetName()`

### setPrimaryResultSetName

    public void setPrimaryResultSetName(java.lang.String resultSetName)

  Specifies the name of the primary result set.

  Parameters:
    `resultSetName` -

### getPublicProperties

    public java.util.Map getPublicProperties()

  Description copied from interface: `IOdaDataSetDesign`
  Gets the public data set property, in the form of a ( name[String], value[String] ) map

  Specified by:
    `getPublicProperties` in interface `IOdaDataSetDesign`
  Returns:
    Public properties as a Map of String-String pairs. Null if none is defined.
  See Also:
    `IOdaDataSetDesign.getPublicProperties()`

### getPrivateProperties

    public java.util.Map getPrivateProperties()

  Description copied from interface: `IOdaDataSetDesign`
  Gets the private data set property, in the form of a ( name[String], value[String] ) map

  Specified by:
    `getPrivateProperties` in interface `IOdaDataSetDesign`
  Returns:
    private properties as a Map of String-String pairs. Null if none is defined.
  See Also:
    `IOdaDataSetDesign.getPrivateProperties()`

### addPublicProperty

    public void addPublicProperty(java.lang.String name,
                                  java.lang.String value)

  Adds a public connection property, in the form of a (Name, value) string pair.

### addPrivateProperty

    public void addPrivateProperty(java.lang.String name,
                                   java.lang.String value)

  Adds a private connection property, in the form of a (Name, value) string pair.

### addProperty

    protected void addProperty(java.util.Map properties,
                               java.lang.String name,
                               java.lang.String value)

  Add given value to the set of values for named property in the given properties map.

### setPrimaryResultSetNumber

    public void setPrimaryResultSetNumber(int number)

  Set the primary result set number.

### getPrimaryResultSetNumber

    public int getPrimaryResultSetNumber()

  Description copied from interface: `IOdaDataSetDesign`
  Get the number of the primary result set retrieved by the query. This is required b the query that returns multiple result sets, each of which can be identified by a number.

  Specified by:
    `getPrimaryResultSetNumber` in interface `IOdaDataSetDesign`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.